Name:           kdepim-addons
Version:        16.04.0
Release:        1%{?dist}
Summary:        Additional plugins for KDE PIM applications

License:        GPLv2 and LGPLv2+
URL:            http://projects.kde.org/?p=%{name}.git


%global revision %(echo %{version} | cut -d. -f3)
%if %{revision} >= 50
%global stable unstable
%else
%global stable stable
%endif
Source0:        http://download.kde.org/%{stable}/applications/%{version}/src/%{name}-%{version}.tar.xz

BuildRequires:  extra-cmake-modules >= 5.19.0
BuildRequires:  kf5-rpm-macros >= 5.19.0

BuildRequires:  cmake(Qt5Widgets)
BuildRequires:  cmake(Qt5Test)

BuildRequires:  cmake(KF5I18n)
BuildRequires:  cmake(KF5KHtml)
BuildRequires:  cmake(KF5Config)
BuildRequires:  cmake(KF5DBusAddons)
BuildRequires:  cmake(KF5XmlGui)


BuildRequires:  cmake(KF5Akonadi)
BuildRequires:  cmake(KF5AkonadiNotes)
BuildRequires:  cmake(KF5MailCommon)
BuildRequires:  cmake(KF5KaddressbookGrantlee)
BuildRequires:  cmake(KF5MessageViewer)
BuildRequires:  cmake(KF5Libkleo)
BuildRequires:  cmake(KF5GrantleeTheme)
BuildRequires:  cmake(KF5PimCommon)
BuildRequires:  cmake(KF5Libkdepim)
BuildRequires:  cmake(KF5IncidenceEditor)
BuildRequires:  cmake(KF5MessageCore)
BuildRequires:  cmake(KF5MessageComposer)
BuildRequires:  cmake(KF5MessageList)
BuildRequires:  cmake(KF5CalendarSupport)
BuildRequires:  cmake(KF5EventViews)
BuildRequires:  cmake(KF5Gravatar)
BuildRequires:  cmake(KF5Tnef)

BuildRequires:  cmake(KF5GAPI)


Requires:       kf5-filesystem >= 5.19.0

Obsoletes:      kdepim-libs%{?_isa} < 16.04.0
Conflicts:      kdepim-libs%{?_isa} < 16.04.0

%description
%{summary}.


%prep
%setup -q -n %{name}-%{version}


%build
mkdir %{_target_platform}
pushd %{_target_platform}
%{cmake_kf5} -DKDEPIMADDONS_BUILD_EXAMPLES:BOOL=FALSE \
             ..
popd

make %{?_smp_mflags} -C %{_target_platform}


%install
make install/fast DESTDIR=%{buildroot} -C %{_target_platform}



%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
#TODO: Missing upstream
#%license COPYING.LIB
%{_kf5_sysconfdir}/xdg/kdepim-addons.categories

# TODO: Split to per-app subpackages?
# KAddressBook
%{_kf5_libdir}/akonadi/contact/editorpageplugins/cryptopageplugin.so
%{_kf5_qtplugindir}/kaddressbook/kaddressbook_checkgravatarplugin.so
%{_kf5_qtplugindir}/kaddressbook/kaddressbook_mergecontactsplugin.so
%{_kf5_libdir}/libkaddressbookmergelibprivate.so
%{_kf5_qtplugindir}/kaddressbook/kaddressbook_searchduplicatesplugin.so
%{_kf5_qtplugindir}/kaddressbook/kaddressbook_sendmailplugin.so
%{_kf5_qtplugindir}/kaddressbook/kaddressbook_sendvcardplugin.so

# KMail
%{_kf5_qtplugindir}/kmail/kmail_changecaseeditorplugin.so
%{_kf5_qtplugindir}/kmail/kmail_insertspeiclacharactereditorplugin.so
%{_kf5_qtplugindir}/kmail/kmail_zoomtexteditorplugin.so
%{_kf5_qtplugindir}/kmail/kmail_antispamplugin.so
%{_kf5_qtplugindir}/kmail/kmail_antivirusplugin.so
%{_kf5_sysconfdir}/xdg/kmail.antispamrc
%{_kf5_sysconfdir}/xdg/kmail.antivirusrc
%{_kf5_datadir}/kmail2/pics/*

# KOrganizer
%{_kf5_qtplugindir}/korg_datenums.so
%{_kf5_datadir}/kservices5/korganizer/dataenums.desktop
%{_kf5_qtplugindir}/korg_hebrew.so
%{_kf5_datadir}/kservices5/korganizer/hebrew.desktop
%{_kf5_qtplugindir}/korg_picoftheday.so
%{_kf5_datadir}/kservices5/korganizer/picoftheday.desktop
%{_kf5_qtplugindir}/korg_thisdayinhistory.so
%{_kf5_datadir}/kservices5/korganizer/thisdayinhistory.desktop

# PimCommon
%{_kf5_qtplugindir}/pimcommon/pimcommon_shorturlplugin.so
%{_kf5_libdir}/libshorturlpluginprivate.so
%{_kf5_qtplugindir}/pimcommon/pimcommon_translatorplugin.so

# BodyPartFormatter
%{_kf5_qtplugindir}/messageviewer_bodypartformatter_application_mstnef.so
%{_kf5_datadir}/messageviewer/plugins/bodypartformatter/application_ms-tnef.desktop
%{_kf5_qtplugindir}/messageviewer_bodypartformatter_text_vcard.so
%{_kf5_datadir}/messageviewer/plugins/bodypartformatter/text_vcard.desktop
%{_kf5_qtplugindir}/messageviewer_bodypartformatter_text_xdiff.so
%{_kf5_datadir}/messageviewer/plugins/bodypartformatter/text_xdiff.desktop

# MessageViewer headers
%{_kf5_qtplugindir}/messageviewer/messageviewer_allheaderstyleplugin.so
%{_kf5_qtplugindir}/messageviewer/messageviewer_briefheaderstyleplugin.so
%{_kf5_qtplugindir}/messageviewer/messageviewer_defaultgrantleeheaderstyleplugin.so
%{_kf5_datadir}/messageviewer/defaultthemes/theme/5.2
%{_kf5_qtplugindir}/messageviewer/messageviewer_enterpriseheaderstyleplugin.so
%{_kf5_qtplugindir}/messageviewer/messageviewer_fancyheaderstyleplugin.so
%{_kf5_qtplugindir}/messageviewer/messageviewer_grantleeheaderstyleplugin.so
%{_kf5_qtplugindir}/messageviewer/messageviewer_longheaderstyleplugin.so
%{_kf5_qtplugindir}/messageviewer/messageviewer_standardsheaderstyleplugin.so

# MessageViewer
%{_kf5_qtplugindir}/messageviewer/messageviewer_createeventplugin.so
%{_kf5_qtplugindir}/messageviewer/messageviewer_createnoteplugin.so
%{_kf5_qtplugindir}/messageviewer/messageviewer_createtodoplugin.so
%{_kf5_qtplugindir}/messageviewer/messageviewer_expandurlplugin.so
%{_kf5_qtplugindir}/messageviewer/messageviewer_translatorplugin.so

# StorageService
%{_kf5_qtplugindir}/pimcommon/pimcommon_boxplugin.so
%{_kf5_qtplugindir}/pimcommon/pimcommon_dropboxplugin.so
%{_kf5_qtplugindir}/pimcommon/pimcommon_gdriveplugin.so
%{_kf5_qtplugindir}/pimcommon/pimcommon_hubicplugin.so
%{_kf5_qtplugindir}/pimcommon/pimcommon_webdavplugin.so
%{_kf5_qtplugindir}/pimcommon/pimcommon_yousenditplugin.so

%changelog
* Tue May 03 2016 Daniel Vrátil <dvratil@fedoraproject.org> - 16.04.0-1
- Initial version
